Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.metadata
Class AuthenticationMechanismMetaData

    java.lang.Object
      org.jboss.resource.metadata.DescriptionMetaDataContainer
          org.jboss.resource.metadata.AuthenticationMechanismMetaData

All Implemented Interfaces:
  Serializable

public class AuthenticationMechanismMetaData
extends DescriptionMetaDataContainer

Authentication mechanism meta data

Version:
  $Revision: 1.1 $
Author:
  Adrian Brock
See Also:
  Serialized Form

Constructor Summary
`AuthenticationMechanismMetaData()`

Method Summary
`String` | `getAuthenticationMechansimType()` Get the authentication mechanism type
`String` | `getCredentialInterfaceClass()` Get the credential interface class
`void` | `setAuthenticationMechansimType(String authenticationMechanismType)` Set the authentication mechanism type
`void` | `setCredentialInterfaceClass(String credentialInterfaceClass)` Set the credential interface class
`String` | `toString()`

Methods inherited from class org.jboss.resource.metadata.DescriptionMetaDataContainer
`addDescription, getDescription, getDescription, getDescriptions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthenticationMechanismMetaData

    public AuthenticationMechanismMetaData()

Method Detail

### getAuthenticationMechansimType

    public String getAuthenticationMechansimType()

  Get the authentication mechanism type

  Returns:
    the authentication mechanism type

### setAuthenticationMechansimType

    public void setAuthenticationMechansimType(String authenticationMechanismType)

  Set the authentication mechanism type

### getCredentialInterfaceClass

    public String getCredentialInterfaceClass()

  Get the credential interface class

  Returns:
    the credential interface class

### setCredentialInterfaceClass

    public void setCredentialInterfaceClass(String credentialInterfaceClass)

  Set the credential interface class

  Parameters:
    `credentialInterfaceClass` - the class

### toString

    public String toString()

  Overrides:
    `toString` in class `DescriptionMetaDataContainer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.